%define git	20230215
%define rel	1

Name:		edid-decode
Version:	0
Release:	%mkrel 0.%{git}.%{rel}
# git clone git://linuxtv.org/edid-decode.git
# git archive --prefix=edid-decode-%%{git}/ HEAD | xz > ../edid-decode-%%{git}.tar.xz
Source:		edid-decode-%{git}.tar.xz
Url:		https://git.linuxtv.org/edid-decode.git/
Group:		Video/Utilities
Summary:	EDID parse tool
License:	MIT

%description
The edid-decode tool parses a given EDID from a file or stdin and
shows the contents on stdout. It handles both the regular video info
and the audio info often provided by HDMI displays.

%prep
%setup -q -n %{name}-%{git}
%autopatch -p1

%build
%make_build CFLAGS="%{optflags}"

%install
%makeinstall

%files
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.*


%changelog
* Fri Feb 17 2023 barjac <barjac> 0-0.20230215.1.mga9
+ Revision: 1943776
- new snapshot 20230215 - really
- new snapshot 20230215

* Tue Mar 15 2022 umeabot <umeabot> 0-0.20200213.2.mga9
+ Revision: 1792716
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 cjw <cjw> 0-0.20200213.1.mga8
+ Revision: 1549498
- snapshot 20200213 from new upstream

* Thu Feb 13 2020 umeabot <umeabot> 0-0.20170918.3.mga8
+ Revision: 1512078
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0-0.20170918.2.mga7
+ Revision: 1297568
- Mageia 7 Mass Rebuild

* Mon Feb 12 2018 cjw <cjw> 0-0.20170918.1.mga7
+ Revision: 1200708
- update to snapshot 20170918

* Fri Jun 17 2016 cjw <cjw> 0-0.20160502.1.mga6
+ Revision: 1021994
- new git snapshot with commits up to 20160502
- rediff name parsing patch for insufficient fix added upstream

* Mon Feb 08 2016 umeabot <umeabot> 0-0.20140129.2.mga6
+ Revision: 949946
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 cjw <cjw> 0-0.20140129.1.mga5
+ Revision: 791992
- new git snapshot
- drop manpage, upstream now includes one

* Wed Oct 15 2014 umeabot <umeabot> 0-0.20120926.5.mga5
+ Revision: 746911
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0-0.20120926.4.mga5
+ Revision: 678958
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0-0.20120926.3.mga4
+ Revision: 504047
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0-0.20120926.2.mga3
+ Revision: 349500
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 cjw <cjw> 0-0.20120926.1.mga3
+ Revision: 332911
- imported package edid-decode

